Workspaces 2 endpoints

GET /v2.1/accounts/{accountId}/workspaces/{workspaceId}

Retrieves properties about a workspace given a unique workspaceId.

operationId: Workspace_GetWorkspace

Parameters

Name In Required Type Description
accountId path required string

The external account number (int) or account ID GUID.

workspaceId path required string

The ID of the workspace.

Responses

200

Successful response.

400

Error encountered.

GET /v2.1/accounts/{accountId}/workspaces/{workspaceId}
PUT /v2.1/accounts/{accountId}/workspaces/{workspaceId}

Updates information about a specific workspace.

operationId: Workspace_PutWorkspace

Parameters

Name In Required Type Description
accountId path required string

The external account number (int) or account ID GUID.

workspaceId path required string

The ID of the workspace.

Request Body

#/components/requestBodies/workspace

Responses

200

Successful response.

400

Error encountered.

PUT /v2.1/accounts/{accountId}/workspaces/{workspaceId}